Unit tde37e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FB1DE37E_p, FB2DE37E_p, DE37E_p;

function tde37e: String;

implementation

function tde37e: String;
var
M,K,_i,IERR :Integer;
XN,XK,HMIN,EPS,P,H,X,Y1,Y2 :Extended;
YN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
RAB :Array [0..58] of Extended;
IR :Array [0..5] of Integer;
label
_200;
begin
Result := '';  {   }
M := 2;
XN := 0.e0;
YN[0] := 2.e0;
YN[1] := 18.e0;
XK := 5.e0;
HMIN := 1.e-5;
EPS := 1.e-5;
P := 100.e0;
for K:=1 to 2 do
 begin
  H := 0.01e0;
  DE37E(FB1DE37E,FB2DE37E,M,XN,YN,XK,HMIN,EPS,P,H,Y,RAB,IR,IERR);
  Result := Result + Format('%s',[' IERR=']);
  Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
  X := XK;
  Y1 := Exp(-X)+Exp(-21.e0*X);
  Y2 := 19.e0*Exp(-X)-Exp(-21.e0*X);
  Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%20.16f ',[Y[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + #$0D#$0A;
  Result := Result + Format('%20.16f %20.16f %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
  EPS := 0.5e-5;
_200:
 end;
UtRes('tde37e',Result);  {     tde37e.res }
exit;
end;

end.
